summaryrefslogtreecommitdiffstats
path: root/meta/recipes-support/gpgme
diff options
context:
space:
mode:
authorHongxu Jia <hongxu.jia@windriver.com>2017-02-06 22:29:07 -0500
committerRichard Purdie <richard.purdie@linuxfoundation.org>2017-02-15 20:06:30 -0800
commit62b91f655977bdf2faaf53443c47785738c1d0f6 (patch)
treedf85399fa94ad565f39bac3a54e3d42135ff2f81 /meta/recipes-support/gpgme
parent632eee4fbd4627482aae752eb41104b3a848fd58 (diff)
downloadopenembedded-core-62b91f655977bdf2faaf53443c47785738c1d0f6.tar.gz
openembedded-core-62b91f655977bdf2faaf53443c47785738c1d0f6.tar.bz2
openembedded-core-62b91f655977bdf2faaf53443c47785738c1d0f6.zip
gpgme: 1.6.0 -> 1.8.0
- Drop gpgme.pc, it is duplicated with pkgconfig.patch - Rebase pkgconfig.patch to 1.8.0 - Split cmake config to ${PN}-dev - Update LIC_FILES_CHKSUM, because copytright year changed. - The libgpgme-pthread is obsolete by upstream; - Add package libgpgcpp; TODO: Do not remove gpgme-pthread.pc from pkgconfig.patch, the upstream explains: git://git.gnupg.org/gpgme.git commit 09b64554328445e99a8cc78fc34ea49c2ea2e7f9 ------------------------------ libgpgme-pthread is removed but gpgme-config still supports --thread=pthread for compatibility with find scripts. ------------------------------ Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
Diffstat (limited to 'meta/recipes-support/gpgme')
-rw-r--r--meta/recipes-support/gpgme/gpgme/gpgme.pc10
-rw-r--r--meta/recipes-support/gpgme/gpgme/pkgconfig.patch42
-rw-r--r--meta/recipes-support/gpgme/gpgme_1.8.0.bb (renamed from meta/recipes-support/gpgme/gpgme_1.6.0.bb)20
3 files changed, 38 insertions, 34 deletions
diff --git a/meta/recipes-support/gpgme/gpgme/gpgme.pc b/meta/recipes-support/gpgme/gpgme/gpgme.pc
deleted file mode 100644
index 30a4d56d6e..0000000000
--- a/meta/recipes-support/gpgme/gpgme/gpgme.pc
+++ /dev/null
@@ -1,10 +0,0 @@
-prefix=/usr
-libdir=${prefix}/lib
-includedir=${prefix}/include
-
-Name: gpgme
-Description: GNU Privacy Guard Made Easy
-Version: 1.4.3
-Requires:
-Libs: -L${libdir} -lgpgme -lassuan -lgpg-error
-Cflags: -I${includedir}
diff --git a/meta/recipes-support/gpgme/gpgme/pkgconfig.patch b/meta/recipes-support/gpgme/gpgme/pkgconfig.patch
index e2f1f4ffb5..341cabfc50 100644
--- a/meta/recipes-support/gpgme/gpgme/pkgconfig.patch
+++ b/meta/recipes-support/gpgme/gpgme/pkgconfig.patch
@@ -4,37 +4,50 @@ simpler and less error prone when cross compiling.
Upstream-Status: Denied [Upstream not interested in pkg-config support]
RP 2015/4/17
+Rebase to 1.8.0
+Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com>
+---
+ configure.ac | 1 +
+ src/Makefile.am | 4 +-
+ src/gpgme-pthread.pc.in | 15 +++++++
+ src/gpgme.m4 | 114 ++++--------------------------------------------
+ src/gpgme.pc.in | 15 +++++++
+ 5 files changed, 42 insertions(+), 107 deletions(-)
+ create mode 100644 src/gpgme-pthread.pc.in
+ create mode 100644 src/gpgme.pc.in
+
diff --git a/configure.ac b/configure.ac
-index 298a22b..c778b61 100644
+index 0a67b48..e402dd3 100644
--- a/configure.ac
+++ b/configure.ac
-@@ -622,6 +622,7 @@ AC_CONFIG_FILES(Makefile src/Makefile
+@@ -875,6 +875,7 @@ AC_CONFIG_FILES(Makefile src/Makefile
src/versioninfo.rc
src/gpgme.h)
AC_CONFIG_FILES(src/gpgme-config, chmod +x src/gpgme-config)
+AC_CONFIG_FILES(src/gpgme.pc src/gpgme-pthread.pc)
- AC_CONFIG_FILES([lang/Makefile lang/cl/Makefile lang/cl/gpgme.asd])
- AC_OUTPUT
-
+ AC_CONFIG_FILES(lang/cpp/Makefile lang/cpp/src/Makefile)
+ AC_CONFIG_FILES(lang/cpp/src/GpgmeppConfig-w32.cmake.in)
+ AC_CONFIG_FILES(lang/cpp/src/GpgmeppConfig.cmake.in)
diff --git a/src/Makefile.am b/src/Makefile.am
-index 58922f9..40d0dca 100644
+index ce6f1d4..5f38fee 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
-@@ -20,11 +20,13 @@
+@@ -19,12 +19,14 @@
+ ## Process this file with automake to produce Makefile.in
- # Note: moc_kdpipeiodevice should actually be a dependecy below.
EXTRA_DIST = gpgme-config.in gpgme.m4 libgpgme.vers ChangeLog-2011 \
-- gpgme.h.in versioninfo.rc.in gpgme.def moc_kdpipeiodevice.cpp
-+ gpgme.h.in versioninfo.rc.in gpgme.def moc_kdpipeiodevice.cpp gpgme.pc.in gpgme-pthread.pc.in
+- gpgme.h.in versioninfo.rc.in gpgme.def
++ gpgme.h.in versioninfo.rc.in gpgme.def gpgme.pc.in gpgme-pthread.pc.in
bin_SCRIPTS = gpgme-config
m4datadir = $(datadir)/aclocal
m4data_DATA = gpgme.m4
+ nodist_include_HEADERS = gpgme.h
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = gpgme.pc gpgme-pthread.pc
- nodist_include_HEADERS = gpgme.h
bin_PROGRAMS = gpgme-tool
+
diff --git a/src/gpgme-pthread.pc.in b/src/gpgme-pthread.pc.in
new file mode 100644
index 0000000..980a48e
@@ -51,9 +64,9 @@ index 0000000..980a48e
+host=@GPGME_CONFIG_HOST@
+
+Name: gpgme
-+Description: GnuPG Made Easy (GPGME) is a C language library that allows to addsupport for cryptography to a program (threaded version)
++Description: GnuPG Made Easy (GPGME) is a C language library that allows to addsupport for cryptography to a program (deprecated)
+Version: @VERSION@
-+Libs: -L${libdir} -lgpgme-pthread -lpthread
++Libs: -L${libdir} -lgpgme -lpthread
+Cflags: -I${includedir}
+Requires: libassuan gpg-error
diff --git a/src/gpgme.m4 b/src/gpgme.m4
@@ -277,3 +290,6 @@ index 0000000..b69539f
+Cflags: -I${includedir}
+Requires: libassuan gpg-error
\ No newline at end of file
+--
+2.8.1
+
diff --git a/meta/recipes-support/gpgme/gpgme_1.6.0.bb b/meta/recipes-support/gpgme/gpgme_1.8.0.bb
index a2d05878b6..b870069728 100644
--- a/meta/recipes-support/gpgme/gpgme_1.6.0.bb
+++ b/meta/recipes-support/gpgme/gpgme_1.8.0.bb
@@ -6,27 +6,29 @@ BUGTRACKER = "https://bugs.g10code.com/gnupg/index"
LICENSE = "GPLv2+ & LGPLv2.1+"
LIC_FILES_CHKSUM = "file://COPYING;md5=94d55d512a9ba36caa9b7df079bae19f \
file://COPYING.LESSER;md5=bbb461211a33b134d42ed5ee802b37ff \
- file://src/gpgme.h.in;endline=23;md5=5027eec93a996272a9a0a6a86cf35775 \
+ file://src/gpgme.h.in;endline=23;md5=0f7059665c4b7897f4f4d0cb93aa9f98 \
file://src/engine.h;endline=22;md5=4b6d8ba313d9b564cc4d4cfb1640af9d"
UPSTREAM_CHECK_URI = "https://gnupg.org/download/index.html"
SRC_URI = "${GNUPG_MIRROR}/gpgme/${BP}.tar.bz2 \
- file://gpgme.pc \
file://pkgconfig.patch \
"
-SRC_URI[md5sum] = "60d730d22e8065fd5de309e8b98e304b"
-SRC_URI[sha256sum] = "b09de4197ac280b102080e09eaec6211d081efff1963bf7821cf8f4f9916099d"
+SRC_URI[md5sum] = "722a4153904b9b5dc15485a22d29263b"
+SRC_URI[sha256sum] = "596097257c2ce22e747741f8ff3d7e24f6e26231fa198a41b2a072e62d1e5d33"
DEPENDS = "libgpg-error libassuan"
+RDEPENDS_${PN}-cpp += "libstdc++"
BINCONFIG = "${bindir}/gpgme-config"
inherit autotools texinfo binconfig-disabled pkgconfig
-PACKAGES =+ "${PN}-pthread"
-FILES_${PN}-pthread = "${libdir}/libgpgme-pthread.so.*"
-FILES_${PN}-dev += "${datadir}/common-lisp/source/gpgme/*"
+PACKAGES =+ "${PN}-cpp"
+FILES_${PN}-cpp = "${libdir}/libgpgmepp.so.*"
+FILES_${PN}-dev += "${datadir}/common-lisp/source/gpgme/* \
+ ${libdir}/cmake/* \
+"
CFLAGS_append_libc-musl = " -D__error_t_defined "
do_configure_prepend () {
@@ -35,7 +37,3 @@ do_configure_prepend () {
rm -f ${S}/m4/libassuan.m4
}
-do_install_append () {
- install -d ${D}${libdir}/pkgconfig
- install -m 0644 ${WORKDIR}/gpgme.pc ${D}${libdir}/pkgconfig/
-}